Package ghidra.app.plugin.processors.generic

# Interface OperandValue

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `BinaryExpression`

public interface OperandValue extends Serializable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getAllHandles(ArrayList<Handle> handles, Position position, int offset)`
  `Handle`
  `getHandle(Position position, int off)`
  `Handle`
  `getHandle(ArrayList<PcodeOp> pcode, Position position, int off)`
  Method getHandle.
  `ConstructorInfo`
  `getInfo(MemBuffer buf, int offset)`
  `int`
  `getSize()`
  Get the size in bits of the value used in the instruction to create this value.
  `int`
  `length(MemBuffer buf, int offset)`
  `void`
  `toList(ArrayList<Handle> list, Position position, int off)`
  Construct operand representation as a list of objects
  `String`
  `toString(MemBuffer buf, int offset)`

- ## Method Details

  - ### length

    int length(MemBuffer buf, int offset) throws Exception
    Throws:
      `Exception`

  - ### getInfo

    ConstructorInfo getInfo(MemBuffer buf, int offset) throws Exception
    Throws:
      `Exception`

  - ### toString

    String toString(MemBuffer buf, int offset) throws Exception
    Throws:
      `Exception`

  - ### getHandle

    Handle getHandle(ArrayList<PcodeOp> pcode, Position position, int off) throws Exception
    Method getHandle.
    Parameters:
      `pcode` -
      `position` -
      `off` -
    Returns:
      Handle
    Throws:
      `Exception`

  - ### getHandle

    Handle getHandle(Position position, int off) throws Exception
    Parameters:
      `position` -
      `off` -
    Returns:
      Handle
    Throws:
      `Exception`

  - ### getAllHandles

    void getAllHandles(ArrayList<Handle> handles, Position position, int offset) throws Exception
    Throws:
      `Exception`

  - ### toList

    void toList(ArrayList<Handle> list, Position position, int off) throws Exception
    Construct operand representation as a list of objects
    Parameters:
      `list` - the list to fill
      `position` - the operand position
      `off` - the offset
    Throws:
      `Exception`

  - ### getSize

    int getSize()
    Get the size in bits of the value used in the instruction to create this value.